services:
  plex:
    image: lscr.io/linuxserver/plex:latest
    container_name: plex
    network_mode: host
    ports:
      - 32400:32400
    environment:
      - PUID=1000
      - PGID=1000
      - VERSION=docker
      - PLEX_CLAIM=claim-WNcs7miZ5vyG_1PX_VUN
    volumes:
      - ./plex:/config
      - /mnt/servarr/data/media:/media
    restart: unless-stopped

  jellyfin:
    image: jellyfin/jellyfin:latest
    container_name: jellyfin
    user: 1000:1000
#    network_mode: host
    ports:
      - 8096:8096
    volumes:
      - ./jellyfin/config:/config
      - ./jellyfin/cache:/cache
      - /mnt/servarr/data/media/movies:/movies
      - /mnt/servarr/data/media/tv:/tv
      - /mnt/servarr/data/media/music:/music
    restart: 'unless-stopped'
    networks:
      - pangolin
#    # Optional - alternative address used for autodiscovery
#    environment:
#      - JELLYFIN_PublishedServerUrl=http://192.168.1.201:8096
#    # Optional - may be necessary for docker healthcheck to pass if running in host network mode
#    extra_hosts:
#      - 'host.docker.internal:host-gateway'


#  navidrome:
#    image: deluan/navidrome:latest
#    container_name: navidrome
#    user: 1000:1000 # should be owner of volumes
#    network_mode: host
#    ports:
#      - "4533:4533"
#    restart: unless-stopped
#    environment:
      # Optional: put your config options customization here. Examples:
#      ND_SCANSCHEDULE: 1h
#      ND_LOGLEVEL: info
#      ND_SESSIONTIMEOUT: 24h
#      ND_BASEURL: ""
#    volumes:
#      - ./navidrome/data:/data
#      - /mnt/hdd_1tb/data/media/music:/music:ro


networks:
  pangolin:
    name: pangolin
    external: true
